Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.owscommon_new
Enum HTTP.Type

    java.lang.Object
      java.lang.Enum<HTTP.Type>
          org.deegree.owscommon_new.HTTP.Type

All Implemented Interfaces:
  Serializable, Comparable<HTTP.Type>

Enclosing class:
  HTTP

    public static enum HTTP.Type

extends Enum<HTTP.Type>

Enumeration type indicating the used HTTP request method.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $

Enum Constant Summary
`Get` The Get HTTP method.
`Post` The Post HTTP method.

Method Summary
`static HTTP.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HTTP.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Get

    public static final HTTP.Type Get

  The Get HTTP method.

### Post

    public static final HTTP.Type Post

  The Post HTTP method.

Method Detail

### values

    public static final HTTP.Type[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(HTTP.Type c : HTTP.Type.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static HTTP.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org